Page 1 of 2 12 LastLast
Results 1 to 10 of 16

Thread: [SOLVED] apt-get not finding standard package (libopenssl-ruby)

  1. #1
    Join Date
    Sep 2008
    Beans
    9

    [SOLVED] apt-get not finding standard package (libopenssl-ruby)

    Hi -- I'm having trouble installing libopenssl-ruby.
    I use the following command:

    sudo apt-get install libopenssl-ruby

    (This was recommended to me when I ran the command passenger-install-apache2-module & it didn't find the openssl package it needed.)

    The response I get is:

    Reading package lists... Done
    Building dependency tree... Done
    E: Couldn't find package libopenssl-ruby

    Can anyone advise me on what I can do to fix this?
    (Bearing in mind I'm a total beginner!)
    Cheers,
    Doug.

  2. #2
    Join Date
    Dec 2005
    Location
    Warrensburg, MO USA Earth
    Beans
    1,320
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: apt-get not finding standard package (libopenssl-ruby)

    You have to enable the universe repository. Easiest way is in synaptic

  3. #3
    Join Date
    Apr 2007
    Location
    Belgium
    Beans
    1,528

    Re: apt-get not finding standard package (libopenssl-ruby)

    libopenssl-ruby is in the universe repository. Be sure you have it enabled. There two versions of it: 1.8 and 1.9. Try this:
    Code:
    sudo apt-get install libopenssl-ruby1.9
    Disclaimer: I am currently suffering from severe CSD (Compulsive Sarcasm Disorder).
    My Site | Linux User #452328 | Running Arch Linux on Sony Vaio VGN-SZ61XN/C since October 2008

  4. #4
    Join Date
    Dec 2005
    Location
    Warrensburg, MO USA Earth
    Beans
    1,320
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: apt-get not finding standard package (libopenssl-ruby)

    System > Administration > Synaptic

    Once in synaptic go to Settings > Repositories

    Click the Universe repository

  5. #5
    Join Date
    Sep 2008
    Beans
    9

    Re: apt-get not finding standard package (libopenssl-ruby)

    Hi -- cheers for the responses, there.
    I'm afraid the attempt to install 1.9 didn't work, and I've no idea about Synaptic, sorry!
    I only have ssh access to the server -- is this still possible through that?
    & thanks again,
    Doug.

  6. #6
    Join Date
    Oct 2006
    Location
    NL, EU
    Beans
    1,477
    Distro
    Ubuntu Development Release

    Re: apt-get not finding standard package (libopenssl-ruby)

    Yes.
    You should be able to use nano (which is a nice text editor) to edit your etc/apt/sources.lst file.

    Try:
    Code:
    sudo nano /etc/apt/sources.lst
    Try and find the lines with 'universe' in them. There are most likely hash-signs in front of them. Delete those.
    Write the changes to disk and eXit the program.

    then do:
    Code:
    sudo apt-get update
    after this you should be able to use the command given earlier
    I'm thinking about it

  7. #7
    Join Date
    Sep 2008
    Beans
    9

    Re: apt-get not finding standard package (libopenssl-ruby)

    Thanks for that -- I've opened it up, and there are no lines which mention universal.
    Would you be able to post what yours says, & maybe I could copy that in?
    (Would that even work?)
    & cheers again for helping out.
    Doug.

  8. #8
    Join Date
    Jul 2007
    Location
    Magic City of the Plains
    Beans
    Hidden!
    Distro
    Xubuntu Development Release

    Re: apt-get not finding standard package (libopenssl-ruby)

    Quote Originally Posted by biot023@gmail.com View Post
    Thanks for that -- I've opened it up, and there are no lines which mention universal.
    Would you be able to post what yours says, & maybe I could copy that in?
    (Would that even work?)
    & cheers again for helping out.
    Doug.
    Might be easier to do it graphically: Go to System, Administration, Software Sources, and check off the box for the universe repository. Then reload.

  9. #9
    Join Date
    Sep 2008
    Beans
    9

    Re: apt-get not finding standard package (libopenssl-ruby)

    Cheers -- sadly I only have ssh, as this is a virtual server I'm renting a slice of, so I haven't access to any graphical tools.

  10. #10
    Join Date
    Feb 2006
    Beans
    5,714

    Re: apt-get not finding standard package (libopenssl-ruby)

    will it let you do this?
    Code:
    cat /etc/apt/sources.list
    so you can post it here so we can see what might need to be done?
    Debian Testing(64bit) + XFCE4 AM2 5200+ ATI Radeon HD4350, 4gig RAM,320Gig and 750gig HDs

    what's the difference between an answer and a solution? An answer is what they want to hear, a solution is what they don't want to hear

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •